@import url('https://fonts.googleapis.com/css2?family=Cormorant+Garamond:ital,wght@1,400;1,500&family=EB+Garamond:wght@400;500;600;700&display=swap');

/* Colors

white - #FFFFFF
dark blue - #1A6591
red - #D02128
green - #10674D
light blue - #B3E3FA
*/
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'EB Garamond', Arial, sans-serif;
  --white: #FFFFFF;
  --darkblue: #1A6591;
  --red: #D02128;
  --green: #10674D;
  --lightblue: #B3E3FA;
}

body {
  background-image: url('assets/background.svg');
  background-size: cover;
  min-height: 100vh;
  background-attachment: fixed;
  margin: 0;

}

/* HEADER NAV */

nav li{
  list-style: none;
}
a{
  text-decoration: none;
}
nav a{
  color: var(--green);
  font-size: 1.1rem;
  font-weight: bold;
  text-decoration: none;
}
nav a:hover{
  color: var(--red);
  text-decoration: underline;
}
nav .active {
  color: var(--red);
  text-decoration: underline;
}
header{
  width: 100%;
  height: 24vh;
  background: url('assets/header-bg.png') repeat;
  background-position: center;
  background-size: cover;

}
.navbar{
  height: 110px;
  max-width: 1200px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: space-between;

}

.navbar .logo img{
width: 200px;
height: auto;
}

.navbar .links{
  display: flex;
  gap: 3rem;
  text-transform: uppercase;
  font-weight: bold;
}

.navbar .toggle-btn{
  color: var(--white);
  font-size: 1.5rem;
  cursor: pointer;
  display: none;
}

.action-btn{
  padding: 1rem;
  cursor: pointer;
  background: url('assets/getstarted_button.svg') no-repeat;
  color: var(--white);
}
.action-btn:hover{
  text-decoration: underline;
  color: var(--white);
}

/* DROPDOWN MENU FOR RESPONSIVE*/
.dropdown-menu{
  display: none;
  position: absolute;
  right: 2rem;
  top: 60px;
  width: 300px;
  height: 0;
  background: rgba(255, 255, 255, 0.1);
  backdrop-filter: blur(15px);
  border-radius: 10px;
  overflow: hidden;
  transition: height 0.2s cubic-bezier(0.175, 0.885, 0.32, 1.275) ;
}
.dropdown-menu.open {
  height: 240px;
}
.dropdown-menu li{
  padding: 0.7rem;
  display: flex;
  align-items: center;
  justify-content: center;
}
.dropdown-menu .action-btn{
  width: 100%;
  display: flex;
  justify-content: center;
}

/* MAIN SECTION*/
.section-content{
  width: 90%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  z-index: -1;
  margin-bottom: 2.1rem;

}
.home-image{
  width: 450px;
  height: 520px;
}
.about-image{
  background: url('assets/about.svg') center/cover; /* Adjust the background property */
  width: 550px; /* Correct the width property */
  height: 600px;

}
section .welcome{
  display: flex;
  width: 55ch;
  flex-direction: column;
  align-items: self-start;
  justify-content:center;
  text-align: left;
  color: var(--darkblue);
  margin-left: 10rem;
}
.welcome h1{
  font-family: 'Cormorant Garamond', Arial, sans-serif;
  font-style: italic;
  font-size: 3rem;
  margin-bottom: 2rem;
  /* text-shadow: 2px 2px 0 rgba(26, 103, 147,0.5); */
}
.welcome p{
  margin-bottom: 2rem;
  color: black;
  font-size: 20px;
}
.getstarted-btn {
	background-color:#D02128;
	border-radius:9px;
	cursor:pointer;
	padding:7px 21px;
}
.getstarted-btn:hover {
	scale: 1.05;
}
.getstarted-btn a{
  color: var(--white);
	font-size:19px;
  font-weight: 900;
}
/* SECTION */
#home{
  background-image: url('assets/home_sectionbg.svg');
  height: 55vh;
  background-size: cover;
  background-attachment: fixed;
}
.box-container{
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  padding-top: 2rem;
}
.box-container .box{
  height: 18rem;
  width: 18rem;
  background: url('assets/border_section.svg');
  background-size: cover;
  text-align: center;
  margin: 2rem;
  padding: 1rem;
}

.box-container .box img{
  height: 3rem;
  width: 3rem;
  line-height: 3rem;
  margin: 0.5rem 0;
  transition: .2s;
}
.icon-ball{
  background: url('assets/icon_ball.svg');
}
.box-container .box h3{
  font-size: 1.5rem;
  color: var(--darkblue);
  transition: .2s;
}
.box-container .box p{
  font-size: 1.2rem;
  padding: .7rem .2rem;
  color: var(--green);
}
.box-container .box:hover h3{
  scale: 1.2;
}

/* MODULE */
.module-container{
  margin: 2rem 0;
  width: 93%;
  display: flex;
  justify-content: right;
}
main .module-menu{
  position: absolute;
  left: 8%;
  margin-top: 2rem;
  width: 300px;
  line-height: 40px;
  padding: 8px 25px;
  border-radius: 5px;
  background-color: var(--red);

}
.module-menu .menu{
  display: absolute;
}
.module-menu label{
  color: var(--white);
  font-size: 22px;
  display: block;
}
.module, .module2, .module3{
  text-transform: uppercase;
  font-weight: bold;
}
.module-menu i{
  float: right;
  line-height: 40px;
  color: var(--white);
}
.module-menu ul{
  position: absolute;
  background: var(--darkblue);
  list-style: none;
  top: 70px;
  left: 0;
  width: 100%;
  border-radius: 5px;
  display: none;
}
[id^=btn]:checked + ul{
  display: block;
}
nav .menu:before{
  position: absolute;
  content: '';
  height: 20px;
  width: 20px;
  background: var(--white);
  right: 20px;
  top: -10px;
  transform: rotate(45deg);
  z-index: -1;
}
.module-menu ul li{
  line-height: 40px;
  padding: 8px 20px;
  border-bottom: 1px solid var(--white);
}
.module-menu input{
  display: none;
}
.module-menu ul li label{
  font-size: 20px;
  font-weight: bold;
}

.module-menu ul li a{
  color: var(--white);
  text-decoration: none;
  font-size: 18px;
  display: block;
}
.module-menu ul li label:hover{
  color:var(--lightblue);
  scale: 1.08;
  font-style: italic;

}
.module-menu ul ul{
  position: static;
}
.module-menu ul ul li{
  line-height: 30px;
  padding-left: 30px;
  border-bottom: none;
}
.module-menu ul ul li a{
  color: var(--white);
  font-size: 17px;
}

/* SECTION DETAILS */
.section-details img, .section-details video{
  width: 750px;
  height: 450px;
  object-fit: fill;
  margin-bottom: 1.5rem;

}
.buttons{
  display: flex;
  gap: 10px;
  justify-content: end;
  margin-bottom: 2rem;
}
#prev, #next {
  background: transparent;
	border-radius:12px;
	cursor:pointer;
	padding: 7px 40px;
  color: var(--red);
  border: 3px solid var(--red);
	font-size:20px;
  font-weight: 900;
}
#prev:hover,
#next:hover {
	transform: scale(1.05);
}
#prev:disabled,
#next:disabled {
  border: 3px solid gray;
  cursor: not-allowed;
  color: #666;
}
/* SECTION DETAILS ASSESSMENT */
.section-details-form {
  font-size: 16px;
  width: 750px;
  height: auto;
  margin: 20px auto;
  background-color: #B0161B;
  color: white;
  padding: 20px;

}
.section-details-result {
  width: 750px;
  height: auto;
  margin: 20px auto;
  padding: 20px;

}
.section-details form{
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}
.form-container1, .form-container2 {
  width: 45%;
  box-sizing: border-box;
  padding: 10px;
}

.section-details h3 {
  margin: 1rem 0;
}

.section-details label {
  display: block;
}

.section-details input[type="radio"] {
  margin-right: 5px;
}

.section-details input[type="submit"] {
  background-color: #fff;
  color: #B0161B;
  padding: 10px 20px;
  border: none;
  cursor: pointer;
  font-size: 16px;
  margin-top: 20px;
  align-self: center;
}
/* BUTTON */
#downloadButton {
  background-color: var(--red);
  color: var(--white);
  padding: 1rem 2rem;
  text-decoration: none;
}
/* CONTACT US  */

.contact-form {
  display: flex;
  flex-direction: column;
  align-items: start;
  gap: 10px;
  padding: 20px;
  border: 10px solid transparent; 
  border-image: url('assets/border_candycane.svg') 30; 
  border-image-slice: 10; 
  border-radius: 20px;
  margin: 28px;
  background-color: var(--darkblue);
}

.contact-form span {
  color: var(--red);
}

.contact-form label {
  color: var(--white);
  font-size: 20px;
  font-weight: bold;
}

.contact-form input[type="text"],
.contact-form input[type="email"],
.contact-form textarea {
  width: 100%;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

.contact-form textarea {
  resize: none;
  height: 150px;
}

.contact-form input[type="submit"] {
  width: 40%;
  margin: 0 auto;
  margin-top: 2rem;
  padding: 10px 20px;
  border: 2px solid var(--white);
  background-color: var(--darkblue);
  color: var(--white);
  font-weight: bold;
  font-size: 18px;
  border-radius: 5px;
  cursor: pointer;
}

.contact-form input[type="submit"]:hover {
  background-color: var(--white);
  color: var(--darkblue);
}

.contact-form .name {
  display: flex;
  flex-direction: row;
  gap: 20px;
}




/* PROGRESS BAR */

.new-progress-bar {
  height: 10px;
  width: 80ch;
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 0 auto;
}

.new-progress {
  position: relative;
  height: 100%;
  background-color: var(--red);
  width: 0;
}
.progress-icon {
  position: absolute;
  top: 50%;
  left: 100%;
  transform: translate(-50%, -50%);
  width: 30px;
  height: auto; 
  z-index: 11;
}


.step-wizard-list{
  display: flex;
  position: block;
  z-index: 10;
}

.step-wizard-item{
  flex-basis: 0;
  flex-grow: 1;
  max-width: 100%;
  display: flex;
  flex-direction: column;
  text-align: center;
  min-width: 170px;
  position: relative;
}
.step-wizard-item + .step-wizard-item:after{
  content: "";
  position: absolute;
  left: 0;
  top: 19px;
  width: 100%;
  height: 2px;
  transform: translateX(-50%);
  z-index: -10;
}
.progress-count{
  height: 40px;
  width:40px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  font-weight: 600;
  margin: 0 auto;
  position: absolute;
  z-index:10;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -40%);
  transform-origin: center center;
  color: var(--red);
  border: 2px solid var(--red);
  background: var(--white);
}
.progress-count:after{
  content: "";
  height: 40px;
  width: 40px;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  border-radius: 50%;
  z-index: -10;
}

/* FOOTER */
footer {
  display: flex;
  justify-content: center;
  align-items: center; /* Use align-items instead of align-content */
  background-color: var(--darkblue);
  color: var(--white);
  padding: 0.5rem 0;
  position: fixed;
  width: 100%;
  bottom: 0;
}


/* RESPONSIVE */
@media(max-width: 992px){
  .navbar .links,
  .navbar .action-btn{
    display: none;
  }
  .navbar .toggle-btn{
    display: block;
  }
  .dropdown-menu{
    display: block;
  }

}

@media(max-width: 992px){
  .dropdown-menu{
    left: 2rem;
    width: unset;
  }
}